%global momorel 2

Name:          perl-Verilog
Version:       3.301
Release:       %{momorel}m%{?dist}
Summary:       Verilog parsing routines

License:       LGPL+ or Artistic
Group:         Applications/Engineering

Url:           http://www.veripool.org/wiki/verilog-perl
Source0:       http://www.cpan.org/authors/id/W/WS/WSNYDER/Verilog-Perl-%{version}.tar.gz
NoSource:      0

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: perl-Test-Pod
BuildRequires: perl-ExtUtils-MakeMaker
BuildRequires: gdbm-devel
BuildRequires: flex bison

Requires:      perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


%description
This package provides functions to support writing utilities
that use the Verilog language.

%prep
%setup -q -n Verilog-Perl-%{version}

%build

# Filter out bogus Provides
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
    sed -e '/^perl(mypackage)$/d'
EOF
%global __perl_provides %{_builddir}/Verilog-Perl-%{version}/%{name}-prov
chmod +x %{__perl_provides}

%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"

# as from 3.121, parallel build fails, upstream was notified
%{__make}
#%{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} pure_install    \
    PERL_INSTALL_ROOT=%{buildroot}


find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} %{buildroot}/*


%check
%{__make} test


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc Changes COPYING README verilog/
%{_bindir}/*
%dir %{perl_vendorarch}/Verilog
%{perl_vendorarch}/Verilog/*
%dir %{perl_vendorarch}/auto/Verilog
%{perl_vendorarch}/auto/Verilog/*
%{_mandir}/man?/*


%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (3.301-2m)
- full rebuild for mo7 release

* Thu Aug  5 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.301-1m)
- update to 3.301

* Tue Aug  3 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.300-1m)
- update to 3.300

* Wed Jun 30 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.251-1m)
- update to 3.251

* Tue Jun 22 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.250-1m)
- update to 3.250

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.241-2m)
- rebuild against perl-5.12.1

* Sun May  2 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.241-1m)
- update to 3.241

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.240-2m)
- rebuild against perl-5.12.0

* Fri Apr  2 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.240-1m)
- update to 3.240

* Sun Feb 21 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.231-1m)
- update to 3.231

* Sat Jan 23 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.230-1m)
- update to 3.230

* Wed Jan 20 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.223-1m)
- update to 3.223

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.221-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Oct 29 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.221-1m)
- update to 3.221

* Tue Oct 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.220-1m)
- update to 3.220

* Wed Aug 26 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.212-3m)
- expand BuildRequires

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.212-2m)
- rebuild against perl-5.10.1

* Wed Aug  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.212-1m)
- update to 3.212

* Mon Jun 29 2009 Masahiro Takahata <takahata@momonga-linux.org>
- (3.211-1m)
- import from Fedora
- version up 3.211

* Wed Apr 08 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.121-1
- upstream v3.121

* Thu Mar 05 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.120-3
- Filter out bogus provides: perl(mypackage).
- Pass OPTIMIZE, remove PREFIX when setting up Makefile.

* Thu Mar 05 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.120-2
- Fix rebuild breakdown (Add Verilog-Perl-3.120-gcc44.diff).

* Wed Mar 04 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.120-1
- upstream v3.120

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.110-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 28 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.110-1
- upstream v3.110

* Sat Jan 03 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.100-1
- upstream v3.100
- removed patch for rawhide's bison

* Sat Dec 20 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.045-1
- upstream v3.045
- updated to the recommendations of #476386-c3

* Sun Dec 14 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.044-2
- Added Bison and flex as BR
- fixed the arch build

* Sat Dec 06 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.044-1
- Initial package for fedora
